<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title> ACTIVITY - JavaScript - Array Manipulation </title>
</head>
<body>
	<h1> ACTIVITY -  JavaScript - Array Manipulation (Session 17) </h1>
	
	<p>- Create an addStudent() function that will accept a name of the student and add it to the student array.
	</p>
	<p>	
	- Create a countStudents() function that will print the total number of students in the array.
	</p>
	<p>
	- Create a printStudents() function that will sort and individually print the students (sort and forEach methods) in the array.
	</p>
	<p>
	- Create a findStudent() function that will do the following:
	<br>Search for a student name when a keyword is given (filter method).
	<br>- If one match is found print the message studentName is an enrollee.
	<br>- If multiple matches are found print the message studentNames are enrollees.
	<br>- If no match is found print the message studentName is not an enrollee.
	<br>- The keyword given should not be case sensitive.
	</p>
	

	<h4>
	Stretch Goals:
	</h4>
	<p>
	- Create an addSection() function that will add a section to all students in the array with the format of studentName - Section A (map method).
	</p>
	<p>
	- Create a removeStudent() Function that will do the following:
	</p>
	<p>
	- Capitalize the first letter of the user’s input (toUpperCase and slice methods).
	</p>
	<p>
	- Retrieve the index of the student to be removed (indexOf method).
	</p>
	<p>
	- Remove the student from the array (splice method).
	</p>
	<p>
	- Print a message that the studentName was removed from the student’s list.  
	</p>
	

	<script type="text/javascript" src="./script.js"></script>

</body>
</html>